Page MenuHomePhabricator

Create some machine-readable way of distinguishing image deletion notifications by Community Tech bot
Closed, InvalidPublic

Description

Requested over email by @eranroz and @Doc_James.

To make some statistics about image deletion per WikiProject, they want to be able to distinguish image deletion notifications from other types of edits made by Community Tech bot. They propose to add a tag commons-pending-del to image deletion notifications. This is trivially configurable per-wiki, but I'm wondering if there's a better way that doesn't involve creating nose in the public data.

Event Timeline

MaxSem created this task.Oct 2 2018, 8:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2018, 8:26 PM

I think adding the tag in the bot for now is most preferable. We did do a lot of work for allowing configurable tags per wiki and this is a great time to use that.

The intention is to track changes relevant to wikiproject using related changes. (+tag: #Image+up+for+deletion+on+Commons) That way, other users from the same wikiproject can help with finding replacements for the images pending for deletion.

Also I just noticed @Xaosflux asked in the BRFA to run it with no tags, so I would like to verify there is no objection from his side

We basically want to collect images up for deletion on Commons by Wiki Project. Will make the Community Tech bots work easier to engage with.

MaxSem added a comment.Oct 2 2018, 9:34 PM

I don't like using tags for communicating between bots - maybe, you could benefit from having access to our bot's database (schema)?

@eranroz Tthe trial showed using tags was successful , but when it was time to go live there wasn't a good use-case for tags to be used. I suggest opening a short discussion to see what the community wants - but I don't have any specific objection.

MusikAnimal renamed this task from Create some machine-readable way of distinguishing Community Tech bot edits to Create some machine-readable way of distinguishing image deletion notifications by Community Tech bot.Oct 2 2018, 10:06 PM

I don't like using tags for communicating between bots - maybe, you could benefit from having access to our bot's database (schema)?

Can you say more on the downsides of using tags in this case?

MaxSem added a comment.Oct 3 2018, 9:01 PM

Tags are visible to users even though in this case they're requested not for users themselves.

MaxSem added a comment.Oct 3 2018, 9:05 PM

Also, statistics from our bot wouldn't be accurate as we notify no more than 10 pages per file nominated. I seriously recommend you to use our database instead.

Got it. Fair point.

@Doc_James @eranroz I suggest doing what MaxSem has suggested above if you want to know about every page using image(s) nominated for deletion.
However if you prefer using the edit tags, you can open a discussion with the community as Xaosflux suggested.

@eranroz Which do you wish to do? I just want something that works and am easy either way.

I think the question is:

  • Do we wish to collect statistics ? In this case I think it is better to query the DB as MaxSem suggested
  • or do we want to track changes using normal wiki tracking interface (aka recent changes/related changes)? In this case I don't think using the database can help

@Doc_James can you explain what is the purpose? (I think the 2nd one, but maybe I misunderstand)

We want a list of all images used on articles within WPMED that are up for deletion on one central page. This will allow people to go through them. We be good to have the date the image was put up for deletion. Archiving after 4 weeks. A link to were the deletion discussion is taking place.

Niharika closed this task as Invalid.Jan 15 2019, 6:28 AM

It seems like this ticket is no longer necessary.

Does this mean we have a list of all images up for deletion that are used within articles that are tagged by WPMED?

Does this mean we have a list of all images up for deletion that are used within articles that are tagged by WPMED?

Oh, as I did not hear back from you and Eran on this ticket, I figured you'd worked out a solution offline (using db queries). Does this ticket still need to be open?

@eranroz can you let us know what you need?

eranroz added a comment.EditedJan 22 2019, 9:48 PM

I think I have a simple solution with not simple SQL query (3 joins + cross DB query (+join) - below)
I suggest it as additional report in https://en.wikipedia.org/wiki/Wikipedia_talk:Database_reports#Images_for_deletion_used_in_Wikiproject_Medicine

select p.page_title, imagelinks.il_to from enwiki_p.imagelinks inner join enwiki_p.page p on p.page_id=il_from and p.page_namespace=0 inner join enwiki_p.page t on t.page_namespace=1 and t.page_title=p.page_title  inner join enwiki_p.categorylinks on cl_to='All_WikiProject_Medicine_articles' and cl_from=t.page_id where il_to in (select page_title from commonswiki_p.templatelinks inner join commonswiki_p.page on page_id=tl_from where tl_title='Delete' and tl_namespace=10);

Example result

+---------------------------------------------------+------------------------------------------------------------------+
| page_title                                        | il_to                                                            |
+---------------------------------------------------+------------------------------------------------------------------+
| Psychoanalysis                                    | Psychoanalitic_Congress.jpg                                      |
| Heredity_(journal)                                | R._A._Fischer.jpg                                                |
| Abraham_Thomas                                    | 1_before_accident.jpg                                            |
| Polymelia                                         | Female_child_with_polymelia.jpg                                  |
| Sadomasochism                                     | Shirtless_man_whipping_two_nude_women.jpg                        |
| Z-plasty                                          | Z_plasty.png                                                     |
| Sadomasochism                                     | Felicia_Fox_6_(cropped).jpg                                      |
| World_Suicide_Prevention_Day                      | Male-Female_suicide_ratios_and_rates_2015_(age-standardized).svg |
| Anti-tobacco_movement_in_Nazi_Germany             | SA_Sturm_Cigarette_Company_ad.jpg                                |
| Epidemiology_of_suicide                           | Male_suicide_rates_2015_(crude).svg                              |
| World_Suicide_Prevention_Day                      | Male_suicide_rates_2015_(crude).svg                              |
| Epidemiology_of_suicide                           | Female_suicide_rates_2015_(crude).svg                            |
| World_Suicide_Prevention_Day                      | Female_suicide_rates_2015_(crude).svg                            |
| Jack_Kevorkian                                    | Jack_Kevorkian_National_Press_Club.jpg                           |
| List_of_Nobel_laureates_in_Physiology_or_Medicine | Peyton_Rous_nobel.jpg                                            |
| Flint_water_crisis                                | Governor_Whitmer_Portrait.jpg                                    |
+---------------------------------------------------+------------------------------------------------------------------+